RPC to talk with the personhood service. This is only a partial implementation of the personhood service to enable email signups.

### Hierarchy

- PersonhoodRPC

## Index

### Constructors

- constructor

### Properties

- conn
- timeout
- serviceName

### Methods

- recover
- setTimeout
- signup

## Constructors

### constructor

- new PersonhoodRPC(node: ServerIdentity): PersonhoodRPC

- - Defined in src/personhood/personhood-rpc.ts:12

  #### Parameters

  - ##### node: ServerIdentity

  #### Returns PersonhoodRPC

## Properties

### Private conn

conn: WebSocketConnection

- Defined in src/personhood/personhood-rpc.ts:11

### Private timeout

timeout: number

- Defined in src/personhood/personhood-rpc.ts:12

### Static serviceName

serviceName: string = "Personhood"

- Defined in src/personhood/personhood-rpc.ts:9

## Methods

### recover

- recover(email: string): Promise<EmailRecoverReply>

- - Defined in src/personhood/personhood-rpc.ts:44

  Sends the given email for recovery to the service. The service searches for a user with the given email, but only in all created users with 'signup'. If exactly one match is found, a recovery device is created, and the instructions to recover that device are sent to the email given.

  #### Parameters

  - ##### email: string

    of an existing user.

  #### Returns Promise<EmailRecoverReply>

### setTimeout

- setTimeout(value: number): void

- - Defined in src/personhood/personhood-rpc.ts:23

  Set a new timeout value for the next requests

  #### Parameters

  - ##### value: number

    Timeout in ms

  #### Returns void

### signup

- signup(email: string, alias: string): Promise<EmailSignupReply>

- - Defined in src/personhood/personhood-rpc.ts:34

  Signs up the new user with the given email and alias. If the new user doesn't exist yet, it will be created, and an email with signup instructions is sent to the given address. Additionally, the id of the user will be added to the configured DARC.

  #### Parameters

  - ##### email: string

    of the new user

  - ##### alias: string

    of the new user

  #### Returns Promise<EmailSignupReply>

Generated using TypeDoc